# RoomState class

## Constructors

RoomState ({required JID roomJid, String? nick, required bool joined})

## Properties

affiliation ↔ Affiliation?
  Our own affiliation inside the MUC.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setterinherited
joined ↔ bool
  Flag whether we're joined and can process messages
  getter/setter pair
members → Map <String, RoomMember>
  "List" of entities inside the MUC.
  final
nick ↔ String?
  The nick we're joined with.
  getter/setter pair
pendingMessages ↔ List <PendingMessage>
  The list of messages that we sent and are waiting for their echo.
  latefinal
role ↔ Role?
  Our own role inside the MUC.
  getter/setter pair
roomJid → JID
  The JID of the room.
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited

## Methods

noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  inherited

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited